Can someone just verify this one for me. To install zdm7 on a fresh sles-sp2/oes2-sp1 box (32bit I suppose since I need imaging) I would have to

install ZENworks 7 w/SP1 IR2 Desktop Management (Not supported on platform)
install IR3 (Not supported on platform)
install HP3 (finally supported)

I would have thought with something major like oes2-sp1 support added in the hp3 there would have been a bundled install offered? Any how I was just concerned about installing through 2 unsupported packages before getting to a supported one. Can someone relieve me of my fears ?